Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Class ControlP5XMLParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  controlP5.ControlP5XMLParseException

All Implemented Interfaces:
  java.io.Serializable

    public class ControlP5XMLParseException

extends java.lang.RuntimeException

An XMLParseException is thrown when an error occures while parsing an XML string.

$Revision: 1.1 $
$Date: 2005/03/23 12:41:56 $

Author:
  Marc De Scheemaecker
See Also:
  `nanoxml.XMLElement`, Serialized Form

Field Summary
`static int` | `NO_LINE` Indicates that no line number has been associated with this exception.

Constructor Summary
`ControlP5XMLParseException(java.lang.String name, int lineNr, java.lang.String message)` Creates an exception.
`ControlP5XMLParseException(java.lang.String name, java.lang.String message)` Creates an exception.

Method Summary
`int` | `getLineNr()` Where the error occurred, or `NO_LINE` if the line number is unknown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_LINE

    public static final int NO_LINE

  Indicates that no line number has been associated with this exception.

  See Also:
    Constant Field Values

Constructor Detail

### ControlP5XMLParseException

    public ControlP5XMLParseException(java.lang.String name,
                                      java.lang.String message)

  Creates an exception.

  Parameters:
    `name` - The name of the element where the error is located.
    `message` - A message describing what went wrong.
  Preconditions:
    - `message != null`
  Postconditions:
    - getLineNr() => NO_LINE

### ControlP5XMLParseException

    public ControlP5XMLParseException(java.lang.String name,
                                      int lineNr,
                                      java.lang.String message)

  Creates an exception.

  Parameters:
    `name` - The name of the element where the error is located.
    `lineNr` - The number of the line in the input.
    `message` - A message describing what went wrong.
  Preconditions:
    - `message != null`
    - `lineNr > 0`
  Postconditions:
    - getLineNr() => lineNr

Method Detail

### getLineNr

    public int getLineNr()

  Where the error occurred, or `NO_LINE` if the line number is unknown.

  See Also:
    `nanoxml.XMLParseException#NO_LINE`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2011